Please help us to make AbanteCart Ideal Open Source Ecommerce Solution for everyone.

Support AbanteCart eCommerce

Author Topic: Upgraded from 1.2.13 to 1.2.14 with errors  (Read 495 times)

Offline scorpbond

  • Newbie
  • *
  • Posts: 32
  • Karma: +2/-1
  • BlackPantherInternational
    • View Profile
    • Black Panther International Shopping Portal
Upgraded from 1.2.13 to 1.2.14 with errors
« on: May 01, 2019, 11:23:14 PM »
Hi,

Since the time I upgraded from 1.2.13 to 1.2.14. Site giving errors. I upgraded through Admin Panel. Admin area is working good but Store front was not, So I checked the error log and found that Brand scrolling list was the main cause so I disabled the block. Then site started opening but error log was full with errors. Below are some of them. Please have a look and update me.

2019-05-02 2:55:20 -

Name
Info
9100::App Error
Error: Unable to identify file path to template form/form_csrf.tpl! Check blocks in the layout or enable debug mode to get more details. 10002
Trace:
#0 /home/scorp4hj/public_html/blackpantherinternational.com/core/engine/view.php on line 350
#1 /home/scorp4hj/public_html/blackpantherinternational.com/core/engine/html.php on line 1842
#2 /home/scorp4hj/public_html/blackpantherinternational.com/core/engine/html.php on line 985
#3 /home/scorp4hj/public_html/blackpantherinternational.com/admin/view/default/template/pages/setting/setting.tpl on line 48
#4 /home/scorp4hj/public_html/blackpantherinternational.com/core/engine/view.php on line 718
2019-05-02 2:56:16 - error: AbanteCart core v.1.2.14 Maximum execution time of 90 seconds exceeded in <b>/home/scorp4hj/public_html/blackpantherinternational.com/core/lib/image.php</b> on line <b>209</b>
2019-05-02 2:59:27 - App Warning: AbanteCart core v.1.2.14 Warning: Accessing store with non-configured or unknown domain ( 192.163.193.248/ ).
Check setting of your store domain URL in System Settings. Loading default store configuration for now. in /home/scorp4hj/public_html/blackpantherinternational.com/core/lib/config.php on line 228

-------------------

2019-05-02 3:08:06 -

Name
Info
9101::App Warning
Extension banner_manager overrides core template with blocks/banner_block/one_by_one_slider_banner_block.tpl in /home/scorp4hj/public_html/blackpantherinternational.com/core/engine/view.php on line 342
9101::App Warning
Extension banner_manager overrides core template with blocks/banner_block_content.tpl in /home/scorp4hj/public_html/blackpantherinternational.com/core/engine/view.php on line 342

---------------------
When I try to edit Product and click on General Tab It shows below error. How to resolve this?

SQL Error: Table 'scorp4hj_bpidb.bpi_product_stock_locations' doesn't exist
Error No: 1146
SQL: SELECT * FROM bpi_product_stock_locations psl LEFT JOIN bpi_locations l ON l.location_id = psl.location_id WHERE psl.product_id=119 AND psl.product_option_value_id IS NULL ORDER BY psl.sort_order in /home/scorp4hj/public_html/blackpantherinternational.com/core/database/amysqli.php on line 114
« Last Edit: May 01, 2019, 11:57:35 PM by scorpbond »
Regards.
Abhinav Mishra
For: BlackPantherInternational

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4254
  • Karma: +202/-0
    • View Profile
Re: Upgraded from 1.2.13 to 1.2.14 with errors
« Reply #1 on: May 02, 2019, 01:27:31 AM »
9100::App Error
Error: Unable to identify file path to template form/form_csrf.tpl!
Check that this file exist or have correct permissions
https://github.com/abantecart/abantecart-src/blob/master/public_html/admin/view/default/template/form/form_csrf.tpl
https://github.com/abantecart/abantecart-src/blob/master/public_html/storefront/view/default/template/form/form_csrf.tpl

2019-05-02 2:56:16 - error: AbanteCart core v.1.2.14 Maximum execution time of 90 seconds exceeded in <b>/home/scorp4hj/public_html/blackpantherinternational.com/core/lib/image.php</b> on line <b>209</b>
This indicate that image resize is fail. Usually two reasons:
1. server have not enough RAM
2. server stop resize of image or multiply images due to "Maximum execution time"

2019-05-02 2:59:27 - App Warning: AbanteCart core v.1.2.14 Warning: Accessing store with non-configured or unknown
It is not an issue and mean someone (usually bots) access your site with IP or any other way

9101::App Warning
Extension banner_manager overrides core template with blocks/banner_block/one_by_one_slider_banner_block.tpl in /home/scorp4hj/public_html/blackpantherinternational.com/core/engine/view.php on line 342
9101::App Warning
Extension banner_manager overrides core template with blocks/banner_block_content.tpl in /home/scorp4hj/public_html/blackpantherinternational.com/core/engine/view.php on line 342
This is regular debug info. Disable debugger in admin to hide it.

When I try to edit Product and click on General Tab It shows below error. How to resolve this?
SQL Error: Table 'scorp4hj_bpidb.bpi_product_stock_locations' doesn't exist
Error No: 1146
SQL: SELECT * FROM bpi_product_stock_locations psl LEFT JOIN bpi_locations l ON l.location_id = psl.location_id WHERE psl.product_id=119 AND psl.product_option_value_id IS NULL ORDER BY psl.sort_order in /home/scorp4hj/public_html/blackpantherinternational.com/core/database/amysqli.php on line 114

Error is clear. Some tables in database are missing. Usually this mean sql part of upgrade is fail
“Chuck Norris is so amazing.”
― Mother Teresa

Offline scorpbond

  • Newbie
  • *
  • Posts: 32
  • Karma: +2/-1
  • BlackPantherInternational
    • View Profile
    • Black Panther International Shopping Portal
Re: Upgraded from 1.2.13 to 1.2.14 with errors
« Reply #2 on: May 19, 2019, 11:36:41 AM »
When I try to edit Product and click on General Tab It shows below error. How to resolve this?
SQL Error: Table 'scorp4hj_bpidb.bpi_product_stock_locations' doesn't exist
Error No: 1146
SQL: SELECT * FROM bpi_product_stock_locations psl LEFT JOIN bpi_locations l ON l.location_id = psl.location_id WHERE psl.product_id=119 AND psl.product_option_value_id IS NULL ORDER BY psl.sort_order in /home/scorp4hj/public_html/blackpantherinternational.com/core/database/amysqli.php on line 114
[/quote]

Error is clear. Some tables in database are missing. Usually this mean sql part of upgrade is fail
[/quote]

I tried so many times but SQL database is not upgrading properly. So how we can create it manually in My SQL. Let me know the Query command in  sql.
Regards.
Abhinav Mishra
For: BlackPantherInternational

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4254
  • Karma: +202/-0
    • View Profile
Re: Upgraded from 1.2.13 to 1.2.14 with errors
« Reply #3 on: May 20, 2019, 01:22:06 AM »
Repost in case you miss it
Some tables in database are missing. Usually this mean sql part of upgrade is fail

So you need to add missing column/tables manually or restore your backup
« Last Edit: May 20, 2019, 01:26:21 AM by Basara »
“Chuck Norris is so amazing.”
― Mother Teresa

Offline scorpbond

  • Newbie
  • *
  • Posts: 32
  • Karma: +2/-1
  • BlackPantherInternational
    • View Profile
    • Black Panther International Shopping Portal
Re: Upgraded from 1.2.13 to 1.2.14 with errors
« Reply #4 on: May 22, 2019, 01:08:47 PM »
Repost in case you miss it
Some tables in database are missing. Usually this mean sql part of upgrade is fail

So you need to add missing column/tables manually or restore your backup
Repost in case you miss it
Some tables in database are missing. Usually this mean sql part of upgrade is fail

So you need to add missing column/tables manually or restore your backup

I restored it many time but still problem not resolving. Please tell me the steps how I can create it manually. I am new to this but if you guide me I shall do it.
Regards.
Abhinav Mishra
For: BlackPantherInternational

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4254
  • Karma: +202/-0
    • View Profile
Re: Upgraded from 1.2.13 to 1.2.14 with errors
« Reply #5 on: May 23, 2019, 12:47:08 AM »
Hello.

When you restore you should restore files and database. Same with upgrade, there are files and database part.

Check the doc on manual upgrade
https://abantecart.atlassian.net/wiki/spaces/AD/pages/5275676/Upgrade+manually
“Chuck Norris is so amazing.”
― Mother Teresa

Offline natdroid

  • Jr. Member
  • **
  • Posts: 98
  • Karma: +30/-2
    • View Profile
    • Contact

Offline MessEleven

  • Newbie
  • *
  • Posts: 45
  • Karma: +6/-0
    • View Profile
Re: Upgraded from 1.2.13 to 1.2.14 with errors
« Reply #7 on: June 12, 2019, 09:12:59 AM »
Looking for an upgrade help https://www.fiverr.com/nattoben/upgrade-abantecart-and-help-resolve-upgrade-issues

We just took this route, and it was a lifesaver! NATTOBEN restored an otherwise dead site, updated it to 1.2.15 and brought it back to life within 24 hours. Thank you so much for the lead!

 

Powered by SMFPacks Social Login Mod